## org.eclipse.emf.codegen.ecore.genmodel.impl
Class GenTypedElementImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl
                      org.eclipse.emf.codegen.ecore.genmodel.impl.GenTypedElementImpl

All Implemented Interfaces:
  GenBase, GenTypedElement, Notifier, EObject, InternalEObject

Direct Known Subclasses:
  GenFeatureImpl, GenOperationImpl, GenParameterImpl

    public abstract class GenTypedElementImpl

extends GenBaseImpl
implements GenTypedElement

An implementation of the model object 'Gen Typed Element'.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl
`GenBaseImpl.AnnotationFilter, GenBaseImpl.AnnotationFilterImpl, GenBaseImpl.ColorInformation, GenBaseImpl.EclipseUtil, GenBaseImpl.GenAnnotationCopier, GenBaseImpl.GenClassFilter, GenBaseImpl.GenConstraintFilter, GenBaseImpl.GenFeatureFilter, GenBaseImpl.GenOperationFilter, GenBaseImpl.GIFEmitter, GenBaseImpl.UniqueNameHelper`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl
`DEFAULT_ANNOTATION_FILTER, ecoreGenPackage, EMPTY_URI, genAnnotations, PLATFORM_RESOURCE_URI, xmlNamespaceGenPackage, xmlTypeGenPackage`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `GenTypedElementImpl()`

Method Summary
`protected void` `appendModelSetting(java.lang.StringBuffer result, boolean qualified, java.lang.String name, java.lang.String value)`
`protected EClass` `eStaticClass()`
`protected GenClass` `getContext()`
`EModelElement` `getEcoreModelElement()`
`abstract ETypedElement` `getEcoreTypedElement()`
`GenJDKLevel` `getEffectiveComplianceLevel()`
`java.lang.String` `getEObjectCast()` This returns either "(EObject)", "(org.eclipse.emf.ecore.EObject)", or "" as needed for the reference type.
`GenClass` `getGenClassType()` Deprecated. As of EMF 2.1, replaced by `getTypeGenClass()`.
`GenDataType` `getGenDataTypeType()` Deprecated. As of EMF 2.1, replaced by `getTypeGenDataType()`.
`GenEnum` `getGenEnumType()` Deprecated. As of EMF 2.1, replaced by `getTypeGenEnum()`.
`java.lang.String` `getImportedEffectiveFeatureMapWrapperClass()`
`java.lang.String` `getImportedEffectiveFeatureMapWrapperInternalInterface()`
`java.lang.String` `getImportedInternalType()` Deprecated.
`java.lang.String` `getImportedInternalType(GenClass context)` This returns the real imported feature type used internally, regardless of the value of GenModel.isSuppressEMFValues().
`java.lang.String` `getImportedMapEntryType()`
`java.lang.String` `getImportedMapKeyType(GenClass context)`
`java.lang.String` `getImportedMapTemplateArguments(GenClass context)`
`java.lang.String` `getImportedMapValueType(GenClass context)`
`java.lang.String` `getImportedType()` Deprecated.
`java.lang.String` `getImportedType(GenClass context)` This returns the feature type, either primitive (e.g.
`java.lang.String` `getInternalTypeCast()` This returns either "(EObject)", "(org.eclipse.emf.ecore.EObject)", or "" as needed for the reference type.
`GenDataType` `getListDataType()`
`java.lang.String` `getListItemType()` Deprecated.
`java.lang.String` `getListItemType(GenClass context)` This returns the imported name of the feature type/wrapper class, or if a multi-valued feature, the type of the EList members
`java.lang.String` `getListTemplateArguments(GenClass context)` Returns either "" or the getListItemType surrounded by <>, depending on the effective compliance level.
`java.lang.String` `getLowerBound()`
`GenClass` `getMapEntryTypeGenClass()`
`GenClass` `getMapGenClass()` Deprecated. As of EMF 2.1, replaced by `getMapEntryTypeGenClass()`.
`java.lang.String` `getMapItemType()` Deprecated. As of EMF 2.1, replaced by `getImportedMapEntryType()`.
`protected java.lang.String` `getMapModelInfo(boolean qualified, boolean includeFeatures)`
`protected java.lang.String` `getMultiplicityModelInfo(boolean qualified)`
`java.lang.String` `getNonEObjectInternalTypeCast()` Deprecated.
`java.lang.String` `getNonEObjectInternalTypeCast(GenClass context)` This returns either a cast to the internal type, or "" if it is EObject.
`java.lang.String` `getObjectType()` Deprecated.
`java.lang.String` `getObjectType(GenClass context)` This returns the imported name of the feature type or, if primitive, of the wrapper class (e.g.
`java.lang.String` `getOrderedFlag()`
`java.lang.String` `getPrimitiveValueFunction()`
`java.lang.String` `getQualifiedListItemType()` Deprecated.
`java.lang.String` `getQualifiedListItemType(GenClass context)` This returns the qualified name of the feature type/wrapper class, or if a multi-valued feature, the type of the EList members.
`java.lang.String` `getRawBoundType()` This returns the feature type as for getRawType, except for the case that the type is a type parameter, in which case it returns the actual bounding type.
`java.lang.String` `getRawImportedBoundType()` This returns the feature type as for getRawImportedType, except for the case that the type is a type parameter, in which case it returns the actual bounding type.
`java.lang.String` `getRawImportedType()`
`java.lang.String` `getRawListItemType()` This returns the raw imported name of the feature type/wrapper class, or if a multi-valued feature, the type of the EList members.
`java.lang.String` `getRawType()`
`java.lang.String` `getRawTypeCast()` This returns that case to the actual type if it's different from the raw type.
`java.lang.String` `getType()` Deprecated.
`java.lang.String` `getType(GenClass context)` This returns the feature type, either primitive (e.g.
`java.lang.String` `getTypeClassifier()` Deprecated. As of EMF 2.1, replaced by `getTypeClassifierAccessorName()`.
`java.lang.String` `getTypeClassifierAccessorName()`
`GenClass` `getTypeGenClass()`
`GenClassifier` `getTypeGenClassifier()`
`GenDataType` `getTypeGenDataType()`
`GenEnum` `getTypeGenEnum()`
`GenPackage` `getTypeGenPackage()`
`java.lang.String` `getUniqueFlag()`
`java.lang.String` `getUpperBound()`
`protected boolean` `hasEObjectBound(ETypeParameter eTypeParameter)`
`protected boolean` `hasEObjectExtensionBound(ETypeParameter eTypeParameter)`
`boolean` `hasGenericType()`
`boolean` `isBooleanType()`
`boolean` `isEffectiveSuppressEMFTypes()`
`boolean` `isEnumBasedType()`
`boolean` `isEnumType()`
`protected boolean` `isEObjectExtensionType()`
`protected boolean` `isEObjectType()`
`protected static boolean` `isFeatureMapEntry(java.lang.String name)`
`boolean` `isFeatureMapType()`
`boolean` `isFeatureMapWrapped()` Deprecated. As of EMF 2.1, replaced by `isWrappedFeatureMapType()`.
`boolean` `isListDataType()`
`boolean` `isListType()`
`boolean` `isMapEntryType()`
`boolean` `isMapType()`
`boolean` `isPrimitiveType()`
`boolean` `isStringBasedType()`
`boolean` `isStringType()`
`boolean` `isUncheckedCast()`
`boolean` `isUncheckedCast(GenClass context)`
`boolean` `isUnique()`
`boolean` `isWrappedFeatureMapType()`

Methods inherited from class org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl

`addNonDuplicates, appendAnnotationInfo, appendAnnotationInfo, appendAnnotationInfo, appendLineBreak, appendModelSetting, appendModelSetting, canGenerate, canGenerateEdit, canGenerateEditor, canGenerateSchema, canGenerateTests, capName, collectGenClasses, collectGenConstraints, collectGenFeatures, collectGenOperations, createInputStream, createMonitor, createOutputStream, eGet, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, escapeString, eSet, eUnset, eURIFragmentSegment, exists, filterGenClasses, findGenClass, findGenClassifier, findGenDataType, findGenEnum, findGenFeature, findGenOperation, findGenPackage, findGenPackageHelper, findOrCreateContainer, format, format, formatCode, gen, gen, genEdit, genEditor, generate, generate, generate, generate, generate, generate, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getAllGenPackages, getAnnotationInfo, getAnnotationInfo, getBoundType, getContents, getCopyright, getCopyright, getDocumentation, getDocumentation, getEcoreType, getEffectiveEObjectType, getEffectiveFeatureMapWrapperInterface, getEffectiveListType, getEffectiveListType, getEffectiveListType, getEffectiveMapEntryType, getEffectiveMapEntryType, getEffectiveMapEntryType, getEffectiveMapType, getEffectiveMapType, getEffectiveMapType, getEncoding, getExtendedMetaData, getGenAnnotation, getGenAnnotations, getGenModel, getImplClassName, getImportedType, getImportedType, getImportedType, getImportManager, getInstanceClass, getJavaLangTypes, getJavaReservedWords, getModelInfo, getName, getPrimitiveDefault, getPrimitiveObjectType, getType, getType, getType, getTypeArgument, getTypeArguments, getTypeGenClasses, hasCopyright, hasDocumentation, hasModelContribution, hasReferenceToClassifierWithInstanceTypeName, hasReferenceToClassifierWithInstanceTypeName, indent, isBlank, isJavaUtilMapEntry, isPrimitiveType, isReadOnly, parseName, reconcileGenAnnotations, safeName, setImportManager, setOverwriteable, uncapName, uncapPrefixedName, uncapPrefixedName, unicodeEscapeEncode`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenBase

`canGenerate, canGenerateEdit, canGenerateEditor, canGenerateSchema, canGenerateTests, capName, format, gen, genEdit, genEditor, generate, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getCopyright, getDocumentation, getGenAnnotation, getGenAnnotations, getGenModel, hasCopyright, hasDocumentation, reconcile, safeName, uncapName, uncapPrefixedName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### GenTypedElementImpl

    protected GenTypedElementImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `GenBaseImpl`

### getEcoreTypedElement

    public abstract ETypedElement getEcoreTypedElement()

### getEcoreModelElement

    public EModelElement getEcoreModelElement()

  Specified by:
    `getEcoreModelElement` in interface `GenBase`
  Specified by:
    `getEcoreModelElement` in interface `GenTypedElement`
  Overrides:
    `getEcoreModelElement` in class `GenBaseImpl`

### getTypeGenPackage

    public GenPackage getTypeGenPackage()

  Specified by:
    `getTypeGenPackage` in interface `GenTypedElement`

### getTypeClassifierAccessorName

    public java.lang.String getTypeClassifierAccessorName()

  Specified by:
    `getTypeClassifierAccessorName` in interface `GenTypedElement`

### getTypeClassifier

    @Deprecated
    public java.lang.String getTypeClassifier()

  Deprecated. As of EMF 2.1, replaced by `getTypeClassifierAccessorName()`.

  Specified by:
    `getTypeClassifier` in interface `GenTypedElement`

### getContext

    protected GenClass getContext()

### hasGenericType

    public boolean hasGenericType()

  Specified by:
    `hasGenericType` in interface `GenTypedElement`

### getRawType

    public java.lang.String getRawType()

  Specified by:
    `getRawType` in interface `GenTypedElement`

### getRawBoundType

    public java.lang.String getRawBoundType()

  Description copied from interface: `GenTypedElement`
  This returns the feature type as for getRawType, except for the case that the type is a type parameter, in which case it returns the actual bounding type.

  Specified by:
    `getRawBoundType` in interface `GenTypedElement`

### getType

    @Deprecated
    public java.lang.String getType()

  Deprecated.

  Description copied from interface: `GenTypedElement`
  Use `GenTypedElement.getType(GenClass)` with either `null` for erasing type parameter references or a `GenClass` context representing potential type substitutions for type parameter references. By default, this will just do `getType(getGenClass())`.

  Specified by:
    `getType` in interface `GenTypedElement`
  See Also:
    `GenTypedElement.getType(GenClass)`

### getType

    public java.lang.String getType(GenClass context)

  Description copied from interface: `GenTypedElement`
  This returns the feature type, either primitive (e.g. "int") or qualified class name (e.g. "java.lang.String", "org.eclipse.emf.common.util.EList", or "org.sample.company.Company")

  Specified by:
    `getType` in interface `GenTypedElement`

### getRawImportedType

    public java.lang.String getRawImportedType()

  Specified by:
    `getRawImportedType` in interface `GenTypedElement`

### getRawImportedBoundType

    public java.lang.String getRawImportedBoundType()

  Description copied from interface: `GenTypedElement`
  This returns the feature type as for getRawImportedType, except for the case that the type is a type parameter, in which case it returns the actual bounding type.

  Specified by:
    `getRawImportedBoundType` in interface `GenTypedElement`

### getImportedType

    @Deprecated
    public java.lang.String getImportedType()

  Deprecated.

  Description copied from interface: `GenTypedElement`
  Use `GenTypedElement.getImportedType(GenClass)` with either `null` for erasing type parameter references or a `GenClass` context representing potential type substitutions for type parameter references. By default, this will just do `getImportedType(getGenClass())`.

  Specified by:
    `getImportedType` in interface `GenTypedElement`
  See Also:
    `GenTypedElement.getImportedType(GenClass)`

### getImportedType

    public java.lang.String getImportedType(GenClass context)

  Description copied from interface: `GenTypedElement`
  This returns the feature type, either primitive (e.g. "int") or imported class name (e.g. "String", "EList", or "Company").

  Specified by:
    `getImportedType` in interface `GenTypedElement`

### getObjectType

    @Deprecated
    public java.lang.String getObjectType()

  Deprecated.

  Description copied from interface: `GenTypedElement`
  Use `GenTypedElement.getObjectType(GenClass)` with either `null` for erasing type parameter references or a `GenClass` context representing potential type substitutions for type parameter references. By default, this will just do `getObjectType(getGenClass())`.

  Specified by:
    `getObjectType` in interface `GenTypedElement`
  See Also:
    `GenTypedElement.getObjectType(GenClass)`

### getObjectType

    public java.lang.String getObjectType(GenClass context)

  Description copied from interface: `GenTypedElement`
  This returns the imported name of the feature type or, if primitive, of the wrapper class (e.g. "Integer").

  Specified by:
    `getObjectType` in interface `GenTypedElement`

### getImportedInternalType

    @Deprecated
    public java.lang.String getImportedInternalType()

  Deprecated.

  Description copied from interface: `GenTypedElement`
  Use `GenTypedElement.getImportedInternalType(GenClass)` with either `null` for erasing type parameter references or a `GenClass` context representing potential type substitutions for type parameter references. By default, this will just do `getImportedInternalType(getGenClass())`.

  Specified by:
    `getImportedInternalType` in interface `GenTypedElement`
  See Also:
    `GenTypedElement.getImportedInternalType(GenClass)`

### getImportedInternalType

    public java.lang.String getImportedInternalType(GenClass context)

  Description copied from interface: `GenTypedElement`
  This returns the real imported feature type used internally, regardless of the value of GenModel.isSuppressEMFValues().

  Specified by:
    `getImportedInternalType` in interface `GenTypedElement`

### isFeatureMapType

    public boolean isFeatureMapType()

  Specified by:
    `isFeatureMapType` in interface `GenTypedElement`

### isFeatureMapEntry

    protected static boolean isFeatureMapEntry(java.lang.String name)

### isWrappedFeatureMapType

    public boolean isWrappedFeatureMapType()

  Specified by:
    `isWrappedFeatureMapType` in interface `GenTypedElement`

### isFeatureMapWrapped

    @Deprecated
    public boolean isFeatureMapWrapped()

  Deprecated. As of EMF 2.1, replaced by `isWrappedFeatureMapType()`.

  Specified by:
    `isFeatureMapWrapped` in interface `GenTypedElement`

### getEffectiveComplianceLevel

    public GenJDKLevel getEffectiveComplianceLevel()

  Specified by:
    `getEffectiveComplianceLevel` in interface `GenTypedElement`
  Overrides:
    `getEffectiveComplianceLevel` in class `GenBaseImpl`

### isEffectiveSuppressEMFTypes

    public boolean isEffectiveSuppressEMFTypes()

  Specified by:
    `isEffectiveSuppressEMFTypes` in interface `GenTypedElement`
  Overrides:
    `isEffectiveSuppressEMFTypes` in class `GenBaseImpl`

### getImportedEffectiveFeatureMapWrapperInternalInterface

    public java.lang.String getImportedEffectiveFeatureMapWrapperInternalInterface()

  Specified by:
    `getImportedEffectiveFeatureMapWrapperInternalInterface` in interface `GenTypedElement`
  Overrides:
    `getImportedEffectiveFeatureMapWrapperInternalInterface` in class `GenBaseImpl`

### getImportedEffectiveFeatureMapWrapperClass

    public java.lang.String getImportedEffectiveFeatureMapWrapperClass()

  Specified by:
    `getImportedEffectiveFeatureMapWrapperClass` in interface `GenTypedElement`
  Overrides:
    `getImportedEffectiveFeatureMapWrapperClass` in class `GenBaseImpl`

### isListType

    public boolean isListType()

  Specified by:
    `isListType` in interface `GenTypedElement`

### isListDataType

    public boolean isListDataType()

  Specified by:
    `isListDataType` in interface `GenTypedElement`

### getListDataType

    public GenDataType getListDataType()

### getListTemplateArguments

    public java.lang.String getListTemplateArguments(GenClass context)

  Description copied from interface: `GenTypedElement`
  Returns either "" or the getListItemType surrounded by <>, depending on the effective compliance level.

  Specified by:
    `getListTemplateArguments` in interface `GenTypedElement`

### getListItemType

    @Deprecated
    public java.lang.String getListItemType()

  Deprecated.

  Description copied from interface: `GenTypedElement`
  Use `GenTypedElement.getListItemType(GenClass)` with either `null` for erasing type parameter references or a `GenClass` context representing potential type substitutions for type parameter references. By default, this will just do `getListItemType(getGenClass())`.

  Specified by:
    `getListItemType` in interface `GenTypedElement`
  See Also:
    `GenTypedElement.getListItemType(GenClass)`

### getListItemType

    public java.lang.String getListItemType(GenClass context)

  Description copied from interface: `GenTypedElement`
  This returns the imported name of the feature type/wrapper class, or if a multi-valued feature, the type of the EList members

  Specified by:
    `getListItemType` in interface `GenTypedElement`

### getRawListItemType

    public java.lang.String getRawListItemType()

  Description copied from interface: `GenTypedElement`
  This returns the raw imported name of the feature type/wrapper class, or if a multi-valued feature, the type of the EList members.

  Specified by:
    `getRawListItemType` in interface `GenTypedElement`

### getQualifiedListItemType

    @Deprecated
    public java.lang.String getQualifiedListItemType()

  Deprecated.

  Description copied from interface: `GenTypedElement`
  Use `GenTypedElement.getQualifiedListItemType(GenClass)` with either `null` for erasing type parameter references or a `GenClass` context representing potential type substitutions for type parameter references. By default, this will just do `getQualifiedListItemType(getGenClass())`.

  Specified by:
    `getQualifiedListItemType` in interface `GenTypedElement`
  See Also:
    `GenTypedElement.getQualifiedListItemType(GenClass)`

### getQualifiedListItemType

    public java.lang.String getQualifiedListItemType(GenClass context)

  Description copied from interface: `GenTypedElement`
  This returns the qualified name of the feature type/wrapper class, or if a multi-valued feature, the type of the EList members.

  Specified by:
    `getQualifiedListItemType` in interface `GenTypedElement`

### isMapType

    public boolean isMapType()

  Specified by:
    `isMapType` in interface `GenTypedElement`

### isMapEntryType

    public boolean isMapEntryType()

### getMapEntryTypeGenClass

    public GenClass getMapEntryTypeGenClass()

  Specified by:
    `getMapEntryTypeGenClass` in interface `GenTypedElement`

### getImportedMapEntryType

    public java.lang.String getImportedMapEntryType()

  Specified by:
    `getImportedMapEntryType` in interface `GenTypedElement`

### getImportedMapKeyType

    public java.lang.String getImportedMapKeyType(GenClass context)

  Specified by:
    `getImportedMapKeyType` in interface `GenTypedElement`

### getImportedMapValueType

    public java.lang.String getImportedMapValueType(GenClass context)

  Specified by:
    `getImportedMapValueType` in interface `GenTypedElement`

### getImportedMapTemplateArguments

    public java.lang.String getImportedMapTemplateArguments(GenClass context)

  Specified by:
    `getImportedMapTemplateArguments` in interface `GenTypedElement`

### getMapGenClass

    @Deprecated
    public GenClass getMapGenClass()

  Deprecated. As of EMF 2.1, replaced by `getMapEntryTypeGenClass()`.

  Specified by:
    `getMapGenClass` in interface `GenTypedElement`

### getMapItemType

    @Deprecated
    public java.lang.String getMapItemType()

  Deprecated. As of EMF 2.1, replaced by `getImportedMapEntryType()`.

  Specified by:
    `getMapItemType` in interface `GenTypedElement`

### isEObjectType

    protected boolean isEObjectType()

### hasEObjectBound

    protected boolean hasEObjectBound(ETypeParameter eTypeParameter)

### isEObjectExtensionType

    protected boolean isEObjectExtensionType()

### hasEObjectExtensionBound

    protected boolean hasEObjectExtensionBound(ETypeParameter eTypeParameter)

### isUncheckedCast

    public boolean isUncheckedCast()

  Specified by:
    `isUncheckedCast` in interface `GenTypedElement`

### isUncheckedCast

    public boolean isUncheckedCast(GenClass context)

  Specified by:
    `isUncheckedCast` in interface `GenTypedElement`

### getEObjectCast

    public java.lang.String getEObjectCast()

  Description copied from interface: `GenTypedElement`
  This returns either "(EObject)", "(org.eclipse.emf.ecore.EObject)", or "" as needed for the reference type.

  Specified by:
    `getEObjectCast` in interface `GenTypedElement`

### getInternalTypeCast

    public java.lang.String getInternalTypeCast()

  Description copied from interface: `GenTypedElement`
  This returns either "(EObject)", "(org.eclipse.emf.ecore.EObject)", or "" as needed for the reference type.

  Specified by:
    `getInternalTypeCast` in interface `GenTypedElement`

### getNonEObjectInternalTypeCast

    @Deprecated
    public java.lang.String getNonEObjectInternalTypeCast()

  Deprecated.

  Description copied from interface: `GenTypedElement`
  Use `GenTypedElement.getNonEObjectInternalTypeCast(GenClass)` with either `null` for erasing type parameter references or a `GenClass` context representing potential type substitutions for type parameter references. By default, this will just do `getNonEObjectInternalTypeCast(getGenClass())`.

  Specified by:
    `getNonEObjectInternalTypeCast` in interface `GenTypedElement`
  See Also:
    `GenTypedElement.getNonEObjectInternalTypeCast(GenClass)`

### getNonEObjectInternalTypeCast

    public java.lang.String getNonEObjectInternalTypeCast(GenClass context)

  Description copied from interface: `GenTypedElement`
  This returns either a cast to the internal type, or "" if it is EObject.

  Specified by:
    `getNonEObjectInternalTypeCast` in interface `GenTypedElement`

### getRawTypeCast

    public java.lang.String getRawTypeCast()

  Description copied from interface: `GenTypedElement`
  This returns that case to the actual type if it's different from the raw type.

  Specified by:
    `getRawTypeCast` in interface `GenTypedElement`

### isPrimitiveType

    public boolean isPrimitiveType()

  Specified by:
    `isPrimitiveType` in interface `GenTypedElement`

### getPrimitiveValueFunction

    public java.lang.String getPrimitiveValueFunction()

  Specified by:
    `getPrimitiveValueFunction` in interface `GenTypedElement`

### isBooleanType

    public boolean isBooleanType()

  Specified by:
    `isBooleanType` in interface `GenTypedElement`

### isStringType

    public boolean isStringType()

  Specified by:
    `isStringType` in interface `GenTypedElement`

### isStringBasedType

    public boolean isStringBasedType()

  Specified by:
    `isStringBasedType` in interface `GenTypedElement`

### isEnumType

    public boolean isEnumType()

  Specified by:
    `isEnumType` in interface `GenTypedElement`

### isEnumBasedType

    public boolean isEnumBasedType()

  Specified by:
    `isEnumBasedType` in interface `GenTypedElement`

### getTypeGenEnum

    public GenEnum getTypeGenEnum()

  Specified by:
    `getTypeGenEnum` in interface `GenTypedElement`

### getTypeGenDataType

    public GenDataType getTypeGenDataType()

  Specified by:
    `getTypeGenDataType` in interface `GenTypedElement`

### getTypeGenClass

    public GenClass getTypeGenClass()

  Specified by:
    `getTypeGenClass` in interface `GenTypedElement`

### getTypeGenClassifier

    public GenClassifier getTypeGenClassifier()

  Specified by:
    `getTypeGenClassifier` in interface `GenTypedElement`

### getGenEnumType

    @Deprecated
    public GenEnum getGenEnumType()

  Deprecated. As of EMF 2.1, replaced by `getTypeGenEnum()`.

  Specified by:
    `getGenEnumType` in interface `GenTypedElement`

### getGenDataTypeType

    @Deprecated
    public GenDataType getGenDataTypeType()

  Deprecated. As of EMF 2.1, replaced by `getTypeGenDataType()`.

  Specified by:
    `getGenDataTypeType` in interface `GenTypedElement`

### getGenClassType

    @Deprecated
    public GenClass getGenClassType()

  Deprecated. As of EMF 2.1, replaced by `getTypeGenClass()`.

  Specified by:
    `getGenClassType` in interface `GenTypedElement`

### getLowerBound

    public java.lang.String getLowerBound()

  Specified by:
    `getLowerBound` in interface `GenTypedElement`

### getUpperBound

    public java.lang.String getUpperBound()

  Specified by:
    `getUpperBound` in interface `GenTypedElement`

### isUnique

    public boolean isUnique()

  Specified by:
    `isUnique` in interface `GenTypedElement`

### getUniqueFlag

    public java.lang.String getUniqueFlag()

  Specified by:
    `getUniqueFlag` in interface `GenTypedElement`

### getOrderedFlag

    public java.lang.String getOrderedFlag()

  Specified by:
    `getOrderedFlag` in interface `GenTypedElement`

### appendModelSetting

    protected void appendModelSetting(java.lang.StringBuffer result,
                                      boolean qualified,
                                      java.lang.String name,
                                      java.lang.String value)

### getMapModelInfo

    protected java.lang.String getMapModelInfo(boolean qualified,
                                               boolean includeFeatures)

### getMultiplicityModelInfo

    protected java.lang.String getMultiplicityModelInfo(boolean qualified)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.